
package com.mcaps.core.servlets;

import com.day.cq.commons.jcr.JcrConstants;

import org.apache.commons.io.IOUtils;
import org.apache.sling.api.SlingHttpServletRequest;
import org.apache.sling.api.SlingHttpServletResponse;
import org.apache.sling.api.resource.Resource;
import org.apache.sling.api.servlets.HttpConstants;
import org.apache.sling.api.servlets.SlingAllMethodsServlet;
import org.apache.sling.api.servlets.SlingSafeMethodsServlet;
import org.apache.sling.servlets.annotations.SlingServletResourceTypes;
import org.osgi.service.component.annotations.Component;
import org.osgi.service.component.propertytypes.ServiceDescription;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.servlet.Servlet;
import javax.servlet.ServletException;
import java.io.IOException;
import java.io.InputStream;

/**
 * Servlet that writes some sample content into the response. It is mounted for
 * all resources of a specific Sling resource type. The
 * {@link SlingSafeMethodsServlet} shall be used for HTTP methods that are
 * idempotent. For write operations use the {@link SlingAllMethodsServlet}.
 */
@Component(service = { Servlet.class })
@SlingServletResourceTypes(
        resourceTypes="mcaps-site/components/blankpage",
        methods=HttpConstants.METHOD_GET,
        extensions="html")
@ServiceDescription("HTML Servlet")

public class HtmlServlet extends SlingSafeMethodsServlet {
    private static final Logger log = LoggerFactory.getLogger(HtmlServlet.class);

    @Override
    protected void doGet(SlingHttpServletRequest request, SlingHttpServletResponse response) throws ServletException, IOException {
        // Get the path of the requested HTML file
        String path = request.getRequestPathInfo().getResourcePath();

        // Read the content of the HTML file from DAM
        InputStream htmlStream = request.getResource().adaptTo(InputStream.class);

        log.warn("SCORM WORKFLOW: HTMLServlet: path");
        // Set the content type
        response.setContentType("text/html");

        // Copy the content to the response
        IOUtils.copy(htmlStream, response.getOutputStream());
    }
}
